% A simple test involving a linear fm signal
% IF law of the signal is plotted in red
% Hybrid IF estimate is plotted in green
%[sig,iflaw] = fmlin(256,0.05,0.35);
%sig=atoms(128,[32,0.3,32,1;56,0.15,48,1.22;102,0.41,20,0.7]);
sig=atoms(256,[127,0.15,64,1.22;127,0.35,64,1.22]);
% Set the Manhattan distance 
d = 2;
% Calculate the stored signal matrix
% for the case of M=32 freq bins, N=32 time bins
% signal length N1 = 256 and time spread T=33
A = gen_Q4(32,256,33,d);

[hybiflaw,c] = hybifest(sig,32,33,d,A);

[hybiband,c] = hybibandest(sig,32,33,d,A);

tfr = tfrsp(sig);
[if2,b]=momttfr(tfr,'tfrsp');

figure;
plot(hybiflaw(81:180),'k');
hold on;
plot(hybiflaw(81:180)+sqrt(abs(hybiband(81:180)+(hybiflaw(81:180)).^2)),'r');
hold on;
plot(if2(81:180));
plot(if2(81:180)+sqrt(b(81:180)),'g');
%plot(ifest,'g');
figure
plot(hybiflaw,'k');
hold on;
plot(hybiflaw+sqrt(abs(hybiband+(hybiflaw).^2)),'r');
hold on;
plot(if2);
plot(if2+sqrt(b),'g');

