% A simple test involving a linear fm signal
% IF law of the signal is plotted in red
% Hybrid IF estimate is plotted in green
[sig,iflaw] = fmlin(256,0.05,0.35);


% Set the Manhattan distance 
d = 2;
% Calculate the stored signal matrix
% for the case of M=32 freq bins, N=32 time bins
% signal length N1 = 256 and time spread T=33
A = gen_Q4(32,256,33,d);

[ifest,c] = hybifest(sig,32,33,d,A);

figure;
plot(iflaw,'r');
hold on;
plot(ifest,'g');

